diff --git a/dh_installdeb b/dh_installdeb
index fdc76e6..93198ae 100755
--- a/dh_installdeb
+++ b/dh_installdeb
@@ -54,10 +54,13 @@ foreach my $package (@{$dh{DOPACKAGES}}) {
 
 	if (is_udeb($package)) {
 		# For udebs, only do the postinst, and no #DEBHELPER#.
-		my $f=pkgfile($package,"postinst");
-		if ($f) {
-			doit("install", "-o", 0, "-g", 0, "-m", 755, 
-			     $f, "$tmp/DEBIAN/postinst");
+		# Udebs also support menutest and isinstallable scripts.
+		foreach my $script (qw{postinst menutest isinstallable}) {
+			my $f=pkgfile($package,$script);
+			if ($f) {
+				doit("install", "-o", 0, "-g", 0, "-m", 755, 
+				     $f, "$tmp/DEBIAN/$script");
+			}
 		}
 		next;		
 	}
